const { Injectable } = require('flitter-di')
const ImplementationError = require('libflitter/errors/ImplementationError')

class State extends Injectable {
    constructor(host, config) {
        super()
        this._host = host
        this._config = config
    }

    async apply() {
        throw new ImplementationError()
    }

    async check() {
        throw new ImplementationError()
    }

    async reverse() {
        throw new ImplementationError()
    }
}

module.exports = exports = State
