// hosts Configuration
const hosts = {

    localhost: {
        type: 'localhost',
        packages: {
            type: 'dnf',
        },
        services: {
            type: 'systemd',
        },
    },

    core: {
        type: 'ssh',
        ssh_params: {
            port: 60022,
            username: 'root',
            host: 'core.infrastructure',
            key_file: '/home/garrettmills/.ssh/id_rsa',
        },
        packages: {
            type: 'apt',
        },
        services: {
            type: 'systemd',
        },
    },

}

module.exports = exports = hosts
